# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-helper
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Execute command when directory changes
Name: dnotify
Version: 0.18.0
Release: alt1_19
# Not working anymore ??
# URL: http://oskarsapps.mine.nu/dnotify.html
Source0: http://oskarsapps.mine.nu/src/%{name}-%{version}.tar.bz2
Source1: %{name}.init
Source2: %{name}.sysconfig
Source3: %{name}.d.README
Patch0: dnotify-include-stat_h.patch
License: GPL
Group: File tools
Requires(post): rpm-helper
Requires(preun): rpm-helper
Source44: import.info

%description
Dnotify is a simple program that makes it possible
to execute a command every time the contents of a
specific directory change in Linux. It is run from
the command line and takes two arguments: one or
more directories to monitor and a command to
execute whenever a directory has changed. Options
control what events to trigger on: when a file was
read in the directory, when one was created/deleted,
etc.

%prep
%setup -q
%patch0


%build
%configure
%make_build

%install
%makeinstall_std
install -m755 -d %{buildroot}%{_sysconfdir}/sysconfig/%{name}.d
install -m755 -d %{buildroot}%{_initrddir}
install -m700 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
install -m600 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}.d/README

%find_lang %{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS COPYING INSTALL
%{_bindir}/dnotify
%{_mandir}/*/*
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_sysconfdir}/sysconfig/%{name}.d
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}.d/README


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.18.0-alt1_19
- update by mgaimport

* Wed Nov 18 2020 Igor Vlasenko <viy@altlinux.ru> 0.18.0-alt1_18
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.18.0-alt1_17
- update by mgaimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 0.18.0-alt1_16
- new version

